Search for Resources and Solutions

How to upgrade the Facebook Ads Api from 4.0 or 5.0 to 6.0

Unfortunately Facebook changes often the rules for their api. They are releasing often new versions and old versions don't work more. Last time i've upgraded the Midrub Facebook Ads Manager to 4.0 in october 2019 because was the newest version, after a month was released 5.0 and new users were able only to select the version 5.0. The problem was in impossibility to upgrade me too Midrub Facebook Ads Manager to 5.0 because i've asked a month ago you to upgrade to 4.0. Therefore the Ads Manager had and old version for several months. Now the version 4.0 isn't supported new and you have to upgrade Api to 6.0 even if in the next month Facebook could release 7.0 version.

In the video below you can see how to upgrade Midrub Facebook Ads Manager to 6.0 Api version:

The files to edit are:

  • application/base/user/apps/collection/facebook_ads/main.php
  • vendor/facebook/php-ads-sdk/src/FacebookAds/ApiConfig.php

At the end of this week i will release an automatic update for the Midrub Facebook Ads Manager and will have the version 6.0. You will have to edit the version only in the vendor. Or change now in both files.

Was this article helpful?